=== debian/changelog ===
openlibm (0.4+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.4+dfsg
  * fix-soname.patch, i386.patch: remove patches, applied upstream.
  * Bump SONAME, shared lib package now libopenlibm1.
  * Ship pkg-config file.
  * No longer mark libopenlibm-dev as M-A:same. (Closes: #755213)
  * Execute tests at build time.
    Two new patches needed: test-tolerance.patch, exp-fpstack.patch.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 29 Jul 2014 10:30:03 +0000

openlibm (0.3+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #751378)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 06 Jul 2014 14:22:14 +0200
