=== debian/control ===
Source: openlibm
Priority: optional
Maintainer: Debian Julia Team <pkg-julia-devel@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper (>= 9), dh-exec
Standards-Version: 3.9.5
Section: libs
Homepage: https://github.com/JuliaLang/openlibm
Vcs-Git: git://anonscm.debian.org/pkg-julia/openlibm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-julia/openlibm.git

Package: libopenlibm1
Architecture: amd64 i386
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: standalone implementation of C mathematical functions (shared library)
 OpenLibm is an effort to have a high quality, portable, standalone libm
 implementation, under a liberal free software license. It can be used
 standalone in applications and programming language implementations.
 .
 The project was born out of a need to have a good libm for the Julia
 programming language that worked consistently across compilers and operating
 systems, and in 32-bit and 64-bit environments.
 .
 This package contains a shared version of the library.

Package: libopenlibm-dev
Section: libdevel
Architecture: amd64 i386
Depends: ${misc:Depends}, libopenlibm1 (= ${binary:Version})
Description: standalone implementation of C mathematical functions (development files)
 OpenLibm is an effort to have a high quality, portable, standalone libm
 implementation, under a liberal free software license. It can be used
 standalone in applications and programming language implementations.
 .
 The project was born out of a need to have a good libm for the Julia
 programming language that worked consistently across compilers and operating
 systems, and in 32-bit and 64-bit environments.
 .
 This package contains the development files needed to compile software using
 openlibm.
