=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/openlibm-$1\.tar\.gz/,uversionmangle=s/$/+dfsg/ \
  https://github.com/JuliaLang/openlibm/tags .*/v?(\d\S*)\.tar\.gz
