## openlibm 0.4.1+dfsg

=== debian/changelog ===
openlibm (0.4.1+dfsg-1build1) wily; urgency=medium

  * Try to build everywhere.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Sep 2015 13:49:43 +0200

openlibm (0.4.1+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.4.1+dfsg
  * Fix debian/watch for dfsg suffix mangling.
  * d/p/test-tolerance.patch: drop patch, applied upstream.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 30 Apr 2015 14:54:22 +0200
