=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Maintainer: Debian Julia Team <pkg-julia-devel@lists.alioth.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9), dh-exec
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: https://github.com/JuliaLang/openlibm
 Vcs-Git: git://anonscm.debian.org/pkg-julia/openlibm.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-julia/openlibm.git
 
 Package: libopenlibm1
-Architecture: amd64 i386
+Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -27,7 +27,7 @@
 
 Package: libopenlibm-dev
 Section: libdevel
-Architecture: amd64 i386
+Architecture: any
 Depends: ${misc:Depends}, libopenlibm1 (= ${binary:Version})
 Description: standalone implementation of C mathematical functions (development files)
  OpenLibm is an effort to have a high quality, portable, standalone libm
