## openlibm 0.5.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: openlibm
 Priority: optional
 Maintainer: Debian Julia Team <pkg-julia-devel@lists.alioth.debian.org>
-Uploaders: Sébastien Villemot <sebastien@debian.org>
+Uploaders: Graham Inggs <ginggs@debian.org>
 Build-Depends: debhelper (>= 9), dh-exec
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Section: libs
 Homepage: https://github.com/JuliaLang/openlibm
-Vcs-Git: git://anonscm.debian.org/pkg-julia/openlibm.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-julia/openlibm.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-julia/openlibm.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-julia/openlibm.git
 
-Package: libopenlibm1
+Package: libopenlibm2
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -28,7 +28,7 @@
 Package: libopenlibm-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libopenlibm1 (= ${binary:Version})
+Depends: libopenlibm2 (= ${binary:Version}), ${misc:Depends}
 Description: standalone implementation of C mathematical functions (development files)
  OpenLibm is an effort to have a high quality, portable, standalone libm
  implementation, under a liberal free software license. It can be used
