=== debian/changelog ===
openlibm (0.5.0+dfsg-2) unstable; urgency=medium

  * Update debian/libopenlibm2.symbols, add ppc64 and i386.
  * Fix building tests on GNU/kFreeBSD and GNU/Hurd.
  * Fix missing buildflags, enable optimization again for *int.c and *intf.c.

 -- Graham Inggs <ginggs@debian.org>  Wed, 06 Apr 2016 22:32:26 +0200

openlibm (0.5.0+dfsg-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Remove Sébastien Villemot from Uploaders.

  [ Graham Inggs ]
  * New upstream release
    - PowerPC support (Closes: #818173)
  * Drop all patches included upstream.
  * Update debian/rules, tests now run in dh_auto_test.
  * Update debian/libopenlibm2.symbols, add armhf, powerpc and ppc64el.
  * Use secure URIs for VCS fields.
  * Bump Standards-Version to 3.9.7, no further changes.
  * Update debian/copyright.

 -- Graham Inggs <ginggs@debian.org>  Tue, 29 Mar 2016 17:37:11 +0200

openlibm (0.4.1+dfsg-4) unstable; urgency=medium

  * Fix unresolved symbol __fpgetprec in libopenlibm.so.1.0 on i386.
  * Do not explicitly link libm to work around issue with
    'ld ... invalid version 26898 (max 0)' in some julia i386 builds.

 -- Graham Inggs <ginggs@debian.org>  Fri, 13 Nov 2015 12:54:29 +0200

openlibm (0.4.1+dfsg-3) unstable; urgency=medium

  * Build on GNU/kFreeBSD and GNU/Hurd.
  * Update debian/libopenlibm1.symbols.

 -- Graham Inggs <ginggs@debian.org>  Tue, 27 Oct 2015 11:14:31 +0200

openlibm (0.4.1+dfsg-2) unstable; urgency=medium

  * Add myself to uploaders.
  * Build everywhere.
  * Fix missing buildflags.
  * Explicitly link libm to fix underlinking.

 -- Graham Inggs <ginggs@debian.org>  Mon, 26 Oct 2015 05:47:15 +0200
