## openlibm 0.5.4+dfsg

=== Makefile ===
--- 
+++ 
@@ -26,10 +26,12 @@
 	$(patsubst %.S,%.S.o,\
 	$(patsubst %.c,%.c.o,$(filter-out $(addprefix src/,$(DUPLICATE_SRCS)),$(SRCS)))))
 
-# If we're on windows, don't do versioned shared libraries.  If we're on OSX,
-# put the version number before the .dylib.  Otherwise, put it after.
+# If we're on windows, don't do versioned shared libraries. Also, generate an import library
+# for the DLL. If we're on OSX, put the version number before the .dylib.  Otherwise,
+# put it after.
 ifeq ($(OS), WINNT)
 OLM_MAJOR_MINOR_SHLIB_EXT := $(SHLIB_EXT)
+LDFLAGS_add += -Wl,--out-implib,libopenlibm.$(OLM_MAJOR_MINOR_SHLIB_EXT).a
 else
 ifeq ($(OS), Darwin)
 OLM_MAJOR_MINOR_SHLIB_EXT := $(SOMAJOR).$(SOMINOR).$(SHLIB_EXT)
@@ -40,7 +42,8 @@
 endif
 endif
 
-.PHONY: all check test clean distclean install
+.PHONY: all check test clean distclean \
+	install install-static install-shared install-pkgconfig install-headers
 
 all: libopenlibm.a libopenlibm.$(OLM_MAJOR_MINOR_SHLIB_EXT)
 
@@ -74,12 +77,21 @@
 	echo "version=${VERSION}" >> openlibm.pc
 	cat openlibm.pc.in >> openlibm.pc
 
-install: all openlibm.pc
+install-static: libopenlibm.a
+	mkdir -p $(DESTDIR)$(libdir)
+	cp -f -a libopenlibm.a $(DESTDIR)$(libdir)/
+
+install-shared: libopenlibm.$(OLM_MAJOR_MINOR_SHLIB_EXT)
 	mkdir -p $(DESTDIR)$(shlibdir)
+	cp -f -a libopenlibm.*$(SHLIB_EXT)* $(DESTDIR)$(shlibdir)/
+
+install-pkgconfig: openlibm.pc
 	mkdir -p $(DESTDIR)$(pkgconfigdir)
+	cp -f -a openlibm.pc $(DESTDIR)$(pkgconfigdir)/
+
+install-headers:
 	mkdir -p $(DESTDIR)$(includedir)/openlibm
-	cp -f -a libopenlibm.*$(SHLIB_EXT)* $(DESTDIR)$(shlibdir)/
-	cp -f -a libopenlibm.a $(DESTDIR)$(libdir)/
 	cp -f -a include/*.h $(DESTDIR)$(includedir)/openlibm
 	cp -f -a src/*.h $(DESTDIR)$(includedir)/openlibm
-	cp -f -a openlibm.pc $(DESTDIR)$(pkgconfigdir)/
+
+install: install-static install-shared install-pkgconfig install-headers
