=== debian/changelog ===
openlibm (0.5.4+dfsg-3) unstable; urgency=medium

  * Add support for mips architectures,
    thanks Radovan Birdic (Closes: #852441)

 -- Graham Inggs <ginggs@debian.org>  Tue, 24 Jan 2017 20:26:37 +0200

openlibm (0.5.4+dfsg-2) unstable; urgency=medium

  * Fix armhf floating-point status register, thanks Elliot Saba
  * Update Forwarded status in fix-missing-buildflags.patch
  * Mark libopenlibm-dev Multi-Arch: same, as per MultiArch hinter
  * Update debian/copyright

 -- Graham Inggs <ginggs@debian.org>  Wed, 18 Jan 2017 20:25:14 +0200

openlibm (0.5.4+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Peter Colberg <peter@colberg.org>  Sun, 18 Sep 2016 23:15:36 -0400

openlibm (0.5.3+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Peter Colberg <peter@colberg.org>  Fri, 12 Aug 2016 00:04:11 -0400

openlibm (0.5.2+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Drop fix-inline-of-fpgetprec-on-i386.patch, applied upstream
  * Add debian/gbp.conf for pristine-tar

 -- Peter Colberg <peter@colberg.org>  Sat, 06 Aug 2016 23:06:47 -0400

openlibm (0.5.1+dfsg-1) unstable; urgency=medium

  [ Peter Colberg ]
  * New upstream release (Closes: #803206)
  * Enable parallel build
  * Enable bindnow hardening flag
  * Bump Standards-Version to 3.9.8, no further changes
  * Add myself to Uploaders
  * Add repacksuffix to debian/watch
  * Fix FTBFS on i386 due to missing inline of __fpgetprec

  [ Graham Inggs ]
  * Add arm64 symbols to debian/libopenlibm2.symbols

 -- Peter Colberg <peter@colberg.org>  Wed, 22 Jun 2016 16:42:34 -0400
