=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: openlibm
 Priority: optional
 Maintainer: Debian Julia Team <pkg-julia-devel@lists.alioth.debian.org>
-Uploaders: Graham Inggs <ginggs@debian.org>
+Uploaders: Graham Inggs <ginggs@debian.org>, Peter Colberg <peter@colberg.org>
 Build-Depends: debhelper (>= 9), dh-exec
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Section: libs
 Homepage: https://github.com/JuliaLang/openlibm
 Vcs-Git: https://anonscm.debian.org/git/pkg-julia/openlibm.git
@@ -28,6 +28,7 @@
 Package: libopenlibm-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libopenlibm2 (= ${binary:Version}), ${misc:Depends}
 Description: standalone implementation of C mathematical functions (development files)
  OpenLibm is an effort to have a high quality, portable, standalone libm
