## openlibm 0.6.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,13 @@
 include ./Make.inc
 
 SUBDIRS = src $(ARCH) bsdsrc
-ifneq ($(ARCH), arm)
-ifneq ($(ARCH), powerpc)
+# Add ld80 directory on x86 and x64
+ifneq ($(filter $(ARCH),i387 amd64),)
 SUBDIRS += ld80
+else
+ifneq ($(filter $(ARCH),aarch64),)
+SUBDIRS += ld128
+else
 endif
 endif
 
@@ -68,7 +72,7 @@
 	$(MAKE) -C test test-float
 
 clean:
-	rm -f amd64/*.o arm/*.o bsdsrc/*.o i387/*.o ld128/*.o ld80/*.o src/*.o
+	rm -f aarch64/*.o amd64/*.o arm/*.o bsdsrc/*.o i387/*.o ld80/*.o ld128/*.o src/*.o powerpc/*.o mips/*.o
 	rm -f libopenlibm.a libopenlibm.*$(SHLIB_EXT)*
 	$(MAKE) -C test clean
 
@@ -79,19 +83,19 @@
 
 install-static: libopenlibm.a
 	mkdir -p $(DESTDIR)$(libdir)
-	cp -f -a libopenlibm.a $(DESTDIR)$(libdir)/
+	cp -RpP -f libopenlibm.a $(DESTDIR)$(libdir)/
 
 install-shared: libopenlibm.$(OLM_MAJOR_MINOR_SHLIB_EXT)
 	mkdir -p $(DESTDIR)$(shlibdir)
-	cp -f -a libopenlibm.*$(SHLIB_EXT)* $(DESTDIR)$(shlibdir)/
+	cp -RpP -f libopenlibm.*$(SHLIB_EXT)* $(DESTDIR)$(shlibdir)/
 
 install-pkgconfig: openlibm.pc
 	mkdir -p $(DESTDIR)$(pkgconfigdir)
-	cp -f -a openlibm.pc $(DESTDIR)$(pkgconfigdir)/
+	cp -RpP -f openlibm.pc $(DESTDIR)$(pkgconfigdir)/
 
 install-headers:
 	mkdir -p $(DESTDIR)$(includedir)/openlibm
-	cp -f -a include/*.h $(DESTDIR)$(includedir)/openlibm
-	cp -f -a src/*.h $(DESTDIR)$(includedir)/openlibm
+	cp -RpP -f include/*.h $(DESTDIR)$(includedir)/openlibm
+	cp -RpP -f src/*.h $(DESTDIR)$(includedir)/openlibm
 
 install: install-static install-shared install-pkgconfig install-headers
