=== debian/changelog ===
openlibm (0.6.0+dfsg-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: make install needs to know CC (Closes: #912683)

  [ Graham Inggs ]
  * Add support for s390x, thanks Dan Horák
  * Bump Standards-Version to 4.2.1, no changes

 -- Graham Inggs <ginggs@debian.org>  Thu, 08 Nov 2018 12:37:11 +0000

openlibm (0.6.0+dfsg-1) unstable; urgency=medium

  [ Peter Colberg ]
  * Update Vcs-* fields for move to salsa.debian.org

  [ Mo Zhou ]
  * New upstream version 0.6.0+dfsg
  * README.Debian: Add note about benchmarking
  * Remove all the patches:
    - Remove fix-missing-buildflags.patch, merged by upstream.
    - Remove kfreebsd-hurd-tests.patch, fixed upstream.
    - Remove fix-armhf-fp-status-register.patch, merged upstream.
    - Remove add-mips-support.patch, merged upstream.
  * Refresh copyright for upstream 0.6.0 release.
  * Add myself to Uploaders.
  * Upstream moved from JuliaLang to JuliaMath.
    + Update control, watch, and copyright accordingly.
  * Bump Standards Version to 4.1.4 .
    + Fix insecure-copyright-format-uri. (3.9.8 -> 4.0.0)
  * Bump debhelper compat level to 11.
    - Remove --parallel flag in favor of debhelper compat 11.
  * tests: Add autopkgtest control file.
  * Refresh symbols control file for arm64.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 21 Jun 2018 09:01:29 +0000
