=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: openlibm
 Priority: optional
 Maintainer: Debian Julia Team <pkg-julia-devel@lists.alioth.debian.org>
-Uploaders: Graham Inggs <ginggs@debian.org>, Peter Colberg <peter@colberg.org>
-Build-Depends: debhelper (>= 9), dh-exec
-Standards-Version: 3.9.8
+Uploaders: Graham Inggs <ginggs@debian.org>,
+           Peter Colberg <peter@colberg.org>,
+           Mo Zhou <cdluminate@gmail.com>,
+Build-Depends: debhelper (>= 11), dh-exec
+Standards-Version: 4.2.1
 Section: libs
-Homepage: https://github.com/JuliaLang/openlibm
-Vcs-Git: https://anonscm.debian.org/git/pkg-julia/openlibm.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-julia/openlibm.git
+Homepage: https://github.com/JuliaMath/openlibm
+Vcs-Git: https://salsa.debian.org/julia-team/openlibm.git
+Vcs-Browser: https://salsa.debian.org/julia-team/openlibm
 
 Package: libopenlibm2
 Architecture: any
