=== debian/changelog ===
openlibm (0.7.0+dfsg-2) unstable; urgency=medium

  * Switch to debhelper 13
  * Drop dh-exec, not needed with debhelper 13
  * Add Build-Depends-Package to libopenlibm3.symbols
  * Bump Standards-Version to 4.5.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Tue, 30 Jun 2020 13:26:26 +0000

openlibm (0.7.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Drop add-s390x-support.patch included upstream
  * Update packaging for libopenlibm2 -> libopenlibm3 transition
  * Update symbols control file for armhf
  * Switch to debhelper 12
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.4.1, no changes

 -- Graham Inggs <ginggs@debian.org>  Tue, 24 Dec 2019 09:37:12 +0000
