=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Uploaders: Graham Inggs <ginggs@debian.org>,
            Peter Colberg <peter@colberg.org>,
            Mo Zhou <cdluminate@gmail.com>,
-Build-Depends: debhelper (>= 11), dh-exec
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Section: libs
 Homepage: https://github.com/JuliaMath/openlibm
 Vcs-Git: https://salsa.debian.org/julia-team/openlibm.git
 Vcs-Browser: https://salsa.debian.org/julia-team/openlibm
 
-Package: libopenlibm2
+Package: libopenlibm3
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -31,7 +32,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libopenlibm2 (= ${binary:Version}), ${misc:Depends}
+Depends: libopenlibm3 (= ${binary:Version}), ${misc:Depends}
 Description: standalone implementation of C mathematical functions (development files)
  OpenLibm is an effort to have a high quality, portable, standalone libm
  implementation, under a liberal free software license. It can be used
