## openlibm 0.8.1+dfsg

=== debian/changelog ===
openlibm (0.8.1+dfsg-2maysync1) lunar; urgency=medium

  * debian/rules: unset MARCH on build and test. Thanks Andrian Bunk.
    (LP: #2006501)

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Tue, 07 Feb 2023 12:14:27 -0500

openlibm (0.8.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sun, 24 Jul 2022 12:44:28 -0700

openlibm (0.8.1+dfsg-1) experimental; urgency=medium

  * New upstream version 0.8.1+dfsg
  * Collect symbol changes from arm64 buildd.
  * Collect symbol changes from ppc64el,ppc64,powerpc
  * Refresh symbols control file.

 -- Mo Zhou <lumin@debian.org>  Sat, 18 Jun 2022 15:02:59 -0700

openlibm (0.8.0+dfsg-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Mo Zhou ]
  * New upstream version 0.8.0+dfsg
  * Correct the install prefix. (Closes: #986336)
  * d/control: Update my own email address.
  * Bump libopenlibm SOVERSION from 3 to 4.
  * Update copyright to remove duplicated entries.

 -- Mo Zhou <lumin@debian.org>  Sat, 13 Nov 2021 13:47:04 -0500
