=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: openlibm
 Priority: optional
-Maintainer: Debian Julia Team <pkg-julia-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Julia Team <pkg-julia-devel@lists.alioth.debian.org>
 Uploaders: Graham Inggs <ginggs@debian.org>,
            Peter Colberg <peter@colberg.org>,
-           Mo Zhou <cdluminate@gmail.com>,
+           Mo Zhou <lumin@debian.org>,
 Build-Depends: debhelper-compat (= 13)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
@@ -12,7 +13,7 @@
 Vcs-Git: https://salsa.debian.org/julia-team/openlibm.git
 Vcs-Browser: https://salsa.debian.org/julia-team/openlibm
 
-Package: libopenlibm3
+Package: libopenlibm4
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -32,7 +33,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libopenlibm3 (= ${binary:Version}), ${misc:Depends}
+Depends: libopenlibm4 (= ${binary:Version}), ${misc:Depends}
 Description: standalone implementation of C mathematical functions (development files)
  OpenLibm is an effort to have a high quality, portable, standalone libm
  implementation, under a liberal free software license. It can be used
