=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
-include /usr/share/dpkg/buildtools.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- MARCH=""

override_dh_auto_test:
	dh_auto_test -- MARCH=""

override_dh_auto_install:
	dh_auto_install -- "CC=$(CC)" prefix=/usr
